#!/bin/bash

echo "install dependencies"

pwd

. ./gitlab-ci/shared.sh

# libnetfilter-queue 
sudo apt-get update
sudo yes | apt-get install libnetfilter-queue-dev
sudo yes | apt-get install iptables

iptables -L FORWARD|grep -iqE "NFQUEUE"
if [ "$?" -ne 0 ]; then
	echo "Applying firewall rule to setup NFQUEUE on forward traffic for urlfiltering"
	iptables -I FORWARD -p tcp --dport 80 -j NFQUEUE --queue-num 0
else
	echo "Error : Unmet dependency - iptables not found."
fi

sudo ldconfig

echo "Installing bbfdmd"
install_bbfdm
